Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.jpivot.navigator.member
Class MemberSelectionModel

    java.lang.Object
      com.tonbeller.wcf.selection.DefaultSelectionModel
          com.tonbeller.jpivot.navigator.member.MemberSelectionModel

All Implemented Interfaces:
  com.tonbeller.wcf.selection.SelectionModel, com.tonbeller.wcf.selection.SingleSelectionModel

    public class MemberSelectionModel

extends com.tonbeller.wcf.selection.DefaultSelectionModel

A SelectionModel that allows only `Members` to be selected. The Model may contain objects of other types but only Members are selectable.

Author:
  av

Field Summary

Fields inherited from interface com.tonbeller.wcf.selection.SelectionModel
`MULTIPLE_SELECTION, MULTIPLE_SELECTION_BUTTON, MULTIPLE_SELECTION_HREF, NO_SELECTION, SINGLE_SELECTION, SINGLE_SELECTION_BUTTON, SINGLE_SELECTION_HREF`

Constructor Summary
`MemberSelectionModel()` Constructor for MemberSelectionModel.
`MemberSelectionModel(int mode)` Constructor for MemberSelectionModel.

Method Summary
`java.util.List` | `getOrderedSelection()`
`boolean` | `isSelectable(java.lang.Object item)` true if item is a member
`void` | `setOrderedSelection(java.util.List list)`

Methods inherited from class com.tonbeller.wcf.selection.DefaultSelectionModel
`add, addAll, addSelectionListener, clear, contains, fireSelectionChanged, getMode, getSelectableFilter, getSelection, getSingleSelection, isEmpty, remove, removeSelectionListener, setComparator, setMode, setSelectableFilter, setSelection, setSingleSelection`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MemberSelectionModel

    public MemberSelectionModel()

  Constructor for MemberSelectionModel.

### MemberSelectionModel

    public MemberSelectionModel(int mode)

  Constructor for MemberSelectionModel.

  Parameters:
    `mode` -

Method Detail

### isSelectable

    public boolean isSelectable(java.lang.Object item)

  true if item is a member

  Specified by:
    `isSelectable` in interface `com.tonbeller.wcf.selection.SingleSelectionModel`
  Overrides:
    `isSelectable` in class `com.tonbeller.wcf.selection.DefaultSelectionModel`

### setOrderedSelection

    public void setOrderedSelection(java.util.List list)

### getOrderedSelection

    public java.util.List getOrderedSelection()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD